======
pyflot
======

.. image:: https://secure.travis-ci.org/andrefsp/pyflot.png
    :target: https://travis-ci.org/andrefsp/pyflot

.. image:: https://coveralls.io/repos/andrefsp/pyflot/badge.png?branch=master
    :target: https://coveralls.io/r/andrefsp/pyflot?branch=master


Python Interface for the known JavaScript Flot librabry


Motivation
==========

The idea behind *PyFlot* its to provide an easy and quick way to create graphs in Python and to plot them out in a web page.

Backend developers sometimes have to work with statistics and metrics and bring that data from a server to a web page in form of charts. 

When this situations happens developers some times find themselves thinking on things like, which data format should they push from the server to the pages, how to catch the data in the templates and how to plot the charts, sometimes situations even gets worst when in a team there is a lack of javascript skills to create those fancy graph pages.

*PyFlot*, appears as a shortcut and as a solution for some of this problems providing a nice a simple way to plot graphs just by modeling it in the backend.

It uses the known flot_ javaScript/jQuery plotting library as interface.

.. _flot: http://www.flotcharts.org

Documentation
=============

Documentation_ is available on readthedocs. 

.. _Documentation: http://pyflot-docs.readthedocs.org 


